Package org.apache.velocity.app.event.implement

# Class EscapeSqlReference

java.lang.Object
org.apache.velocity.app.event.implement.EscapeReference
org.apache.velocity.app.event.implement.EscapeSqlReference

All Implemented Interfaces:
  `EventHandler`, `ReferenceInsertionEventHandler`, `RuntimeServicesAware`

public class EscapeSqlReference extends EscapeReference
Escapes the characters in a String to be suitable to pass to an SQL query.

Since:
  1.5
Author:
  wglass

## Field Summary

### Fields inherited from class org.apache.velocity.app.event.implement.EscapeReference

`log`

## Constructor Summary

Constructors
Constructor
Description
`EscapeSqlReference()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`escape(Object text)`
Escapes the characters in a String to be suitable to pass to an SQL query.
`protected String`
`getMatchAttribute()`
Specify the configuration attribute that specifies the regular expression.

### Methods inherited from class org.apache.velocity.app.event.implement.EscapeReference

`getRuntimeServices, referenceInsert, setRuntimeServices`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EscapeSqlReference

public EscapeSqlReference()

## Method Details

### escape

protected String escape(Object text)
Escapes the characters in a String to be suitable to pass to an SQL query.

Specified by:
  `escape` in class `EscapeReference`
Parameters:
  `text` -
Returns:
  An escaped string.

### getMatchAttribute

protected String getMatchAttribute()
Description copied from class: `EscapeReference`
Specify the configuration attribute that specifies the regular expression. Ideally should be in a form

    eventhandler.escape.XYZ.match

where `XYZ` is the type of escaping being done.

Specified by:
  `getMatchAttribute` in class `EscapeReference`
Returns:
  attribute "eventhandler.escape.sql.match"